import RPi.GPIO as GPIO 
import asyncio

async def button_press(pin:int):
    def button_callback(channel):
        GPIO.cleanup()
        return True
    
    GPIO.setwarnings(False) 
    GPIO.setmode(GPIO.BOARD) # physical numbers 

    GPIO.setup(pin, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) 
    GPIO.add_event_detect(pin,GPIO.RISING,callback=button_callback) 
    GPIO.cleanup()
    asyncio.sleep(5)
    return False

if __name__ == "__main__":
    print(asyncio.get_event_loop().run_until_complete(button_press(19)))